React Bootstrap Carousel
React Carousel - Bootstrap 4 & Material Design
React Bootstrap carousel is responsive and interactive slideshow which is created for presenting content, especially images and videos.
The carousel is a slideshow for cycling through a series of content. It works with a series of images, text, or custom markup. It also includes support for previous/next controls and indicators.
Please be aware that nested carousels are not supported, and carousels are generally not compliant with accessibility standards.
Slides only
Here’s a carousel with slides only. Note the presence of the .d-block
and .w-100
on carousel images to prevent browser default image alignment.
import React from "react";
import { MDBCarousel, MDBCarouselInner, MDBCarouselItem, MDBView, MDBContainer } from
"mdbreact";
const CarouselPage = () => {
return (
<MDBContainer>
<MDBCarousel
activeItem={1}
length={3}
showControls={false}
showIndicators={false}
className="z-depth-1"
slide
>
<MDBCarouselInner>
<MDBCarouselItem itemId="1">
<MDBView>
<img
className="d-block w-100"
src="https://mdbootstrap.com/img/Photos/Slides/img%20(35).jpg"
alt="First slide"
/>
</MDBView>
</MDBCarouselItem>
<MDBCarouselItem itemId="2">
<MDBView>
<img
className="d-block w-100"
src="https://mdbootstrap.com/img/Photos/Slides/img%20(33).jpg"
alt="Second slide"
/>
</MDBView>
</MDBCarouselItem>
<MDBCarouselItem itemId="3">
<MDBView>
<img
className="d-block w-100"
src="https://mdbootstrap.com/img/Photos/Slides/img%20(31).jpg"
alt="Third slide"
/>
</MDBView>
</MDBCarouselItem>
</MDBCarouselInner>
</MDBCarousel>
</MDBContainer>
);
}
export default CarouselPage;
With controls
Adding in the previous and next controls:
import React from "react";
import { MDBCarousel, MDBCarouselInner, MDBCarouselItem, MDBView, MDBContainer } from
"mdbreact";
const CarouselPage = () => {
return (
<MDBContainer>
<MDBCarousel
activeItem={1}
length={3}
showControls={true}
showIndicators={false}
className="z-depth-1"
slide
>
<MDBCarouselInner>
<MDBCarouselItem itemId="1">
<MDBView>
<img
className="d-block w-100"
src="https://mdbootstrap.com/img/Photos/Slides/img%20(45).jpg"
alt="First slide"
/>
</MDBView>
</MDBCarouselItem>
<MDBCarouselItem itemId="2">
<MDBView>
<img
className="d-block w-100"
src="https://mdbootstrap.com/img/Photos/Slides/img%20(46).jpg"
alt="Second slide"
/>
</MDBView>
</MDBCarouselItem>
<MDBCarouselItem itemId="3">
<MDBView>
<img
className="d-block w-100"
src="https://mdbootstrap.com/img/Photos/Slides/img%20(47).jpg"
alt="Third slide"
/>
</MDBView>
</MDBCarouselItem>
</MDBCarouselInner>
</MDBCarousel>
</MDBContainer>
);
}
export default CarouselPage;
With indicators
You can also add the indicators to the carousel, alongside the controls, too.
import React from "react";
import { MDBCarousel, MDBCarouselInner, MDBCarouselItem, MDBView, MDBContainer } from
"mdbreact";
const CarouselPage = () => {
return (
<MDBContainer>
<MDBCarousel
activeItem={1}
length={3}
showControls={true}
showIndicators={true}
className="z-depth-1"
>
<MDBCarouselInner>
<MDBCarouselItem itemId="1">
<MDBView>
<img
className="d-block w-100"
src="https://mdbootstrap.com/img/Photos/Slides/img%20(130).jpg"
alt="First slide"
/>
</MDBView>
</MDBCarouselItem>
<MDBCarouselItem itemId="2">
<MDBView>
<img
className="d-block w-100"
src="https://mdbootstrap.com/img/Photos/Slides/img%20(129).jpg"
alt="Second slide"
/>
</MDBView>
</MDBCarouselItem>
<MDBCarouselItem itemId="3">
<MDBView>
<img
className="d-block w-100"
src="https://mdbootstrap.com/img/Photos/Slides/img%20(70).jpg"
alt="Third slide"
/>
</MDBView>
</MDBCarouselItem>
</MDBCarouselInner>
</MDBCarousel>
</MDBContainer>
);
}
export default CarouselPage;
With captions
You can also add the captions to the carousel items.
If your content is not visible enough, you can cover the image with a darker mask.
You can easily change the intensity and color of the mask. To learn more read our MASKS documentation.
import React from "react";
import { MDBCarousel, MDBCarouselCaption, MDBCarouselInner, MDBCarouselItem, MDBView, MDBMask, MDBContainer } from
"mdbreact";
const CarouselPage = () => {
return (
<MDBContainer>
<MDBCarousel
activeItem={1}
length={3}
showControls={true}
showIndicators={true}
className="z-depth-1"
>
<MDBCarouselInner>
<MDBCarouselItem itemId="1">
<MDBView>
<img
className="d-block w-100"
src="https://mdbootstrap.com/img/Photos/Slides/img%20(68).jpg"
alt="First slide"
/>
<MDBMask overlay="black-light" />
</MDBView>
<MDBCarouselCaption>
<h3 className="h3-responsive">Light mask</h3>
<p>First text</p>
</MDBCarouselCaption>
</MDBCarouselItem>
<MDBCarouselItem itemId="2">
<MDBView>
<img
className="d-block w-100"
src="https://mdbootstrap.com/img/Photos/Slides/img%20(6).jpg"
alt="Second slide"
/>
<MDBMask overlay="black-strong" />
</MDBView>
<MDBCarouselCaption>
<h3 className="h3-responsive">Strong mask</h3>
<p>Second text</p>
</MDBCarouselCaption>
</MDBCarouselItem>
<MDBCarouselItem itemId="3">
<MDBView>
<img
className="d-block w-100"
src="https://mdbootstrap.com/img/Photos/Slides/img%20(9).jpg"
alt="Third slide"
/>
<MDBMask overlay="black-slight" />
</MDBView>
<MDBCarouselCaption>
<h3 className="h3-responsive">Slight Mast</h3>
<p>Third text</p>
</MDBCarouselCaption>
</MDBCarouselItem>
</MDBCarouselInner>
</MDBCarousel>
</MDBContainer>
);
}
export default CarouselPage;
Multi-item carousel MDB Pro component
import React from "react";
import { MDBCarousel, MDBCarouselInner, MDBCarouselItem, MDBContainer, MDBRow, MDBCol, MDBCard, MDBCardImage,
MDBCardBody, MDBCardTitle, MDBCardText, MDBBtn } from "mdbreact";
const MultiCarouselPage = () => {
return (
<MDBContainer>
<MDBCarousel activeItem={1} length={3} slide={true} showControls={true} showIndicators={true} multiItem>
<MDBCarouselInner>
<MDBRow>
<MDBCarouselItem itemId="1">
<MDBCol md="4">
<MDBCard className="mb-2">
<MDBCardImage className="img-fluid" src="https://mdbootstrap.com/img/Photos/Horizontal/Nature/4-col/img%20(34).jpg" />
<MDBCardBody>
<MDBCardTitle>MDBCard title</MDBCardTitle>
<MDBCardText>
Some quick example text to build on the card title and
make up the bulk of the card's content.
</MDBCardText>
<MDBBtn color="primary">MDBBtn</MDBBtn>
</MDBCardBody>
</MDBCard>
</MDBCol>
<MDBCol md="4">
<MDBCard className="mb-2">
<MDBCardImage className="img-fluid" src="https://mdbootstrap.com/img/Photos/Horizontal/Nature/4-col/img%20(18).jpg" />
<MDBCardBody>
<MDBCardTitle>MDBCard title</MDBCardTitle>
<MDBCardText>
Some quick example text to build on the card title and
make up the bulk of the card's content.
</MDBCardText>
<MDBBtn color="primary">MDBBtn</MDBBtn>
</MDBCardBody>
</MDBCard>
</MDBCol>
<MDBCol md="4">
<MDBCard className="mb-2">
<MDBCardImage className="img-fluid" src="https://mdbootstrap.com/img/Photos/Horizontal/Nature/4-col/img%20(35).jpg" />
<MDBCardBody>
<MDBCardTitle>MDBCard title</MDBCardTitle>
<MDBCardText>
Some quick example text to build on the card title and
make up the bulk of the card's content.
</MDBCardText>
<MDBBtn color="primary">MDBBtn</MDBBtn>
</MDBCardBody>
</MDBCard>
</MDBCol>
</MDBCarouselItem>
<MDBCarouselItem itemId="2">
<MDBCol md="4">
<MDBCard className="mb-2">
<MDBCardImage className="img-fluid" src="https://mdbootstrap.com/img/Photos/Horizontal/Nature/4-col/img%20(60).jpg" />
<MDBCardBody>
<MDBCardTitle>MDBCard title</MDBCardTitle>
<MDBCardText>
Some quick example text to build on the card title and
make up the bulk of the card's content.
</MDBCardText>
<MDBBtn color="primary">MDBBtn</MDBBtn>
</MDBCardBody>
</MDBCard>
</MDBCol>
<MDBCol md="4">
<MDBCard className="mb-2">
<MDBCardImage className="img-fluid" src="https://mdbootstrap.com/img/Photos/Horizontal/Nature/4-col/img%20(47).jpg" />
<MDBCardBody>
<MDBCardTitle>MDBCard title</MDBCardTitle>
<MDBCardText>
Some quick example text to build on the card title and
make up the bulk of the card's content.
</MDBCardText>
<MDBBtn color="primary">MDBBtn</MDBBtn>
</MDBCardBody>
</MDBCard>
</MDBCol>
<MDBCol md="4">
<MDBCard className="mb-2">
<MDBCardImage className="img-fluid" src="https://mdbootstrap.com/img/Photos/Horizontal/Nature/4-col/img%20(48).jpg" />
<MDBCardBody>
<MDBCardTitle>MDBCard title</MDBCardTitle>
<MDBCardText>
Some quick example text to build on the card title and
make up the bulk of the card's content.
</MDBCardText>
<MDBBtn color="primary">MDBBtn</MDBBtn>
</MDBCardBody>
</MDBCard>
</MDBCol>
</MDBCarouselItem>
<MDBCarouselItem itemId="3">
<MDBCol md="4">
<MDBCard className="mb-2">
<MDBCardImage className="img-fluid" src="https://mdbootstrap.com/img/Photos/Horizontal/Nature/4-col/img%20(53).jpg" />
<MDBCardBody>
<MDBCardTitle>MDBCard title</MDBCardTitle>
<MDBCardText>
Some quick example text to build on the card title and
make up the bulk of the card's content.
</MDBCardText>
<MDBBtn color="primary">MDBBtn</MDBBtn>
</MDBCardBody>
</MDBCard>
</MDBCol>
<MDBCol md="4">
<MDBCard className="mb-2">
<MDBCardImage className="img-fluid" src="https://mdbootstrap.com/img/Photos/Horizontal/Nature/4-col/img%20(45).jpg" />
<MDBCardBody>
<MDBCardTitle>MDBCard title</MDBCardTitle>
<MDBCardText>
Some quick example text to build on the card title and
make up the bulk of the card's content.
</MDBCardText>
<MDBBtn color="primary">MDBBtn</MDBBtn>
</MDBCardBody>
</MDBCard>
</MDBCol>
<MDBCol md="4">
<MDBCard className="mb-2">
<MDBCardImage className="img-fluid" src="https://mdbootstrap.com/img/Photos/Horizontal/Nature/4-col/img%20(41).jpg" />
<MDBCardBody>
<MDBCardTitle>MDBCard title</MDBCardTitle>
<MDBCardText>
Some quick example text to build on the card title and
make up the bulk of the card's content.
</MDBCardText>
<MDBBtn color="primary">MDBBtn</MDBBtn>
</MDBCardBody>
</MDBCard>
</MDBCol>
</MDBCarouselItem>
</MDBRow>
</MDBCarouselInner>
</MDBCarousel>
</MDBContainer>
);
}
export default MultiCarouselPage;
React Carousel - API
In this section you will find advanced information about the Carousel component. You will find out which modules are required, what are the possibilities of configuring the component, and what events and methods you can use in working with it.
Carousel import statement
In order to use Carousel component make sure you have imported proper module first.
import { MDBCarousel, MDBCarouselCaption, MDBCarouselInner, MDBCarouselItem } from "mdbreact";
API Reference: Carousel Properties
The table below shows the configuration options of the MDBCarousel component.
Name | Type | Default | Description | Example |
---|---|---|---|---|
activeItem |
Number |
|
The index of default active item | <MDBCarousel activeItem={1} ... /> |
className |
String |
|
Adds custom classes | <MDBCarousel className="myClass" ... /> |
mobileGesture |
Boolean | true |
Switches on/off carousel mobile gesture. | <MDBCarousel mobileGesture={false} ... /> |
multiItem |
Boolean | false |
Switches multiItem mode - more items in one view, changed controls | <MDBCarousel multiItem={true} ... /> |
thumbnails |
Boolean | false |
Replaces simple dot indicators with miniature slides pictures | <MDBCarousel thumbnails ... /> |
interval |
Number | 6000 |
Time in milliseconds between slides changes | <MDBCarousel interval={10000} ... /> |
testimonial |
Boolean | false |
Sets black, bigger control arrows for testimonial carousels | <MDBCarousel testimonial ... /> |
length |
Number |
|
Idicates amount of slides in the carousel | <MDBCarousel length={5} ... /> |
onHoverStop |
Boolean | True |
Stops the changing slide when mouse is on the element of the carousel | <MDBCarousel onHoverStop={false} ... /> |
showControls |
Boolean | true |
Switches on/off carousel controls | <MDBCarousel showControls={false} ... /> |
showIndicators |
Boolean | true |
Switches on/off carousel indicators | <MDBCarousel showIndicators={false} ... /> |
slide |
Boolean | false |
Switches slide styles of carousel | <MDBCarousel slide ... /> |
API Reference: CarouselCaption Properties
The table below shows the configuration options of the MDBCarouselCaption component.
Name | Type | Default | Description | Example |
---|---|---|---|---|
className |
String |
|
Adds custom classes | <MDBCarouselCaption className="customClass" ... /> |
API Reference: CarouselInner Properties
The table below shows the configuration options of the MDBCarouselInner component.
Name | Type | Default | Description | Example |
---|---|---|---|---|
className |
String |
|
Adds custom classes | <MDBCarouselInner className={customClass} ... /> |
API Reference: CarouselItem Properties
The table below shows the configuration options of the MDBCarouselItem component.
Name | Type | Default | Description | Example |
---|---|---|---|---|
itemId |
Number |
|
The index of item in carousel | <MDBCarouselInner itemId={1} ... /> |
className |
String |
|
Adds custom classes | <MDBCarouselInner className="customClass" ... /> |
React Carousel - examples & customization
Quickly get a project started with any of our examples.
Basic carousel
import React from 'react';
import { MDBCarousel, MDBCarouselInner, MDBCarouselItem, MDBView } from 'mdbreact';
const CarouselPage = () => {
return (
<MDBCarousel activeItem={1} length={4} showControls={true} showIndicators={false} className="z-depth-1">
<MDBCarouselInner>
<MDBCarouselItem itemId="1">
<MDBView>
<img className="d-block w-100" src="https://mdbootstrap.com/img/Photos/Slides/img%20(68).jpg" alt="First slide" />
</MDBView>
</MDBCarouselItem>
<MDBCarouselItem itemId="2">
<MDBView>
<img className="d-block w-100" src="https://mdbootstrap.com/img/Photos/Slides/img%20(99).jpg" alt="Second slide" />
</MDBView>
</MDBCarouselItem>
<MDBCarouselItem itemId="3">
<MDBView>
<img className="d-block w-100" src="https://mdbootstrap.com/img/Photos/Slides/img%20(17).jpg" alt="Third slide" />
</MDBView>
</MDBCarouselItem>
<MDBCarouselItem itemId="4">
<MDBView>
<img className="d-block w-100" src="https://mdbootstrap.com/img/Photos/Slides/img%20%28143%29.jpg" alt="Mattonit's item" />
</MDBView>
</MDBCarouselItem>
</MDBCarouselInner>
</MDBCarousel>
);
}
export default CarouselPage;
Video Carousel
import React from "react";
import { MDBCarousel, MDBCarouselInner, MDBCarouselItem, MDBContainer, MDBCol, MDBRow } from "mdbreact";
const CarouselPage = () => {
return (
<MDBContainer className=" mt-4">
<MDBRow>
<MDBCol md="12">
<MDBCarousel activeItem={1} length={3} showControls={true} showIndicators={true} className="z-depth-1">
<MDBCarouselInner>
<MDBCarouselItem itemId="1">
<video className="video-fluid d-block" autoPlay loop>
<source src="https://mdbootstrap.com/img/video/Tropical.mp4" type="video/mp4" />
</video>
</MDBCarouselItem>
<MDBCarouselItem itemId="2">
<video className="video-fluid d-block" autoPlay loop>
<source src="https://mdbootstrap.com/img/video/forest.mp4" type="video/mp4" />
</video>
</MDBCarouselItem>
<MDBCarouselItem itemId="3">
<video className="video-fluid d-block" autoPlay loop>
<source src="https://mdbootstrap.com/img/video/Agua-natural.mp4" type="video/mp4" />
</video>
</MDBCarouselItem>
</MDBCarouselInner>
</MDBCarousel>
</MDBCol>
</MDBRow>
</MDBContainer>
);
}
export default CarouselPage;
Thumbnails carousel MDB Pro component
import React from "react";
import { MDBCarousel, MDBCarouselInner, MDBCarouselItem, MDBContainer } from "mdbreact";
const ThumbnailsCarouselPage = () => {
return (
<MDBContainer>
<MDBCarousel activeItem={1} length={3} showControls={true} showIndicators={true} thumbnails className="z-depth-1">
<MDBCarouselInner>
<MDBCarouselItem itemId="1">
<img className="d-block w-100" src="https://mdbootstrap.com/img/Photos/Slides/img%20(88).jpg" alt="First slide" />
</MDBCarouselItem>
<MDBCarouselItem itemId="2">
<img className="d-block w-100" src="https://mdbootstrap.com/img/Photos/Slides/img%20(121).jpg" alt="Second slide" />
</MDBCarouselItem>
<MDBCarouselItem itemId="3">
<img className="d-block w-100" src="https://mdbootstrap.com/img/Photos/Slides/img%20(31).jpg" alt="Third slide" />
</MDBCarouselItem>
</MDBCarouselInner>
</MDBCarousel>
</MDBContainer>
);
}
export default ThumbnailsCarouselPage;
Products carousel MDB Pro component
Our bestsellers
Lorem ipsum dolor sit amet, consectetur adipisicing elit. Fugit, error amet numquam iure provident voluptate esse quasi, veritatis totam voluptas nostrum quisquam eum porro a pariatur accusamus veniam.
import React from "react";
import { MDBCarousel, MDBCarouselInner, MDBCarouselItem, MDBRow, MDBCol, MDBCardFooter, MDBTooltip, MDBCardTitle,
MDBCard, MDBCardBody, MDBCardImage, MDBCardText } from "mdbreact";
const CarouselPage = () => {
return (
<section className="text-center my-5">
<h2 className="h1-responsive font-weight-bold text-center my-5">
Our bestsellers
</h2>
<p className="grey-text text-center w-responsive mx-auto mb-5">
Lorem ipsum dolor sit amet, consectetur adipisicing elit. Fugit,
error amet numquam iure provident voluptate esse quasi, veritatis
totam voluptas nostrum quisquam eum porro a pariatur veniam.
</p>
<MDBCarousel activeItem={1} length={3} slide={true} showControls={true} showIndicators={true} multiItem>
<MDBCarouselInner>
<MDBRow>
<MDBCarouselItem itemId="1">
<MDBCol md="4">
<MDBCard narrow ecommerce className="mb-2">
<MDBCardImage cascade top src="https://mdbootstrap.com/img/Photos/Horizontal/E-commerce/Products/img%20(39).jpg"
alt="sample photo" />
<MDBCardBody cascade>
<a href="#!" className="text-muted">
<h5>Shoes</h5>
</a>
<MDBCardTitle>
<strong>
<a href="#!">Leather boots</a>
</strong>
</MDBCardTitle>
<MDBCardText>
Neque porro quisquam est, qui dolorem ipsum quia dolor
sit amet, consectetur, adipisci.
</MDBCardText>
<MDBCardFooter className="px-1">
<span className="float-left">69$</span>
<span className="float-right">
<MDBTooltip placement="top" tag="a" component="i" componentClass="fa fa-eye grey-text ml-3"
tooltipContent="Quick look" />
<MDBTooltip placement="top" tag="a" component="i" componentClass="fa fa-heart grey-text ml-3"
tooltipContent="Add to watchlist" />
</span>
</MDBCardFooter>
</MDBCardBody>
</MDBCard>
</MDBCol>
<MDBCol md="4" className="clearfix d-none d-md-block">
<MDBCard narrow ecommerce className="mb-2">
<MDBCardImage cascade top src="https://mdbootstrap.com/img/Photos/Horizontal/E-commerce/Products/img%20(22).jpg"
alt="sample photo" />
<MDBCardBody cascade>
<a href="#!" className="text-muted">
<h5>Jeans</h5>
</a>
<MDBCardTitle>
<strong>
<a href="#!">Slim jeans</a>
</strong>
</MDBCardTitle>
<MDBCardText>
Neque porro quisquam est, qui dolorem ipsum quia dolor
sit amet, consectetur, adipisci.
</MDBCardText>
<MDBCardFooter className="px-1">
<span className="float-left">99$</span>
<span className="float-right">
<MDBTooltip placement="top" tag="a" component="i" componentClass="fa fa-eye grey-text ml-3"
tooltipContent="Quick look" />
<MDBTooltip placement="top" tag="a" component="i" componentClass="fa fa-heart grey-text ml-3"
tooltipContent="Add to watchlist" />
</span>
</MDBCardFooter>
</MDBCardBody>
</MDBCard>
</MDBCol>
<MDBCol md="4" className="clearfix d-none d-md-block">
<MDBCard narrow ecommerce className="mb-2">
<MDBCardImage cascade top src="https://mdbootstrap.com/img/Photos/Others/img%20(31).jpg" alt="sample photo" />
<MDBCardBody cascade>
<a href="#!" className="text-muted">
<h5>Shorts</h5>
</a>
<MDBCardTitle>
<strong>
<a href="#!">Denim shorts</a>
</strong>
</MDBCardTitle>
<MDBCardText>
Neque porro quisquam est, qui dolorem ipsum quia dolor
sit amet, consectetur, adipisci.
</MDBCardText>
<MDBCardFooter className="px-1">
<span className="float-left">49$</span>
<span className="float-right">
<MDBTooltip placement="top" tag="a" component="i" componentClass="fa fa-eye grey-text ml-3"
tooltipContent="Quick look" />
<MDBTooltip placement="top" tag="a" component="i" componentClass="fa fa-heart grey-text ml-3"
tooltipContent="Add to watchlist" />
</span>
</MDBCardFooter>
</MDBCardBody>
</MDBCard>
</MDBCol>
</MDBCarouselItem>
<MDBCarouselItem itemId="2">
<MDBCol md="4">
<MDBCard narrow ecommerce className="mb-2">
<MDBCardImage cascade top src="https://mdbootstrap.com/img/Photos/Horizontal/E-commerce/Products/img%20(30).jpg"
alt="sample photo" />
<MDBCardBody cascade>
<a href="#!" className="text-muted">
<h5>Shoes</h5>
</a>
<MDBCardTitle>
<strong>
<a href="#!">Leather boots</a>
</strong>
</MDBCardTitle>
<MDBCardText>
Neque porro quisquam est, qui dolorem ipsum quia dolor
sit amet, consectetur, adipisci.
</MDBCardText>
<MDBCardFooter className="px-1">
<span className="float-left">69$</span>
<span className="float-right">
<MDBTooltip placement="top" tag="a" component="i" componentClass="fa fa-eye grey-text ml-3"
tooltipContent="Quick look" />
<MDBTooltip placement="top" tag="a" component="i" componentClass="fa fa-heart grey-text ml-3"
tooltipContent="Add to watchlist" />
</span>
</MDBCardFooter>
</MDBCardBody>
</MDBCard>
</MDBCol>
<MDBCol md="4" className="clearfix d-none d-md-block">
<MDBCard narrow ecommerce className="mb-2">
<MDBCardImage cascade top src="https://mdbootstrap.com/img/Photos/Horizontal/E-commerce/Products/img%20(37).jpg"
alt="sample photo" />
<MDBCardBody cascade>
<a href="#!" className="text-muted">
<h5>Jeans</h5>
</a>
<MDBCardTitle>
<strong>
<a href="#!">Slim jeans</a>
</strong>
</MDBCardTitle>
<MDBCardText>
Neque porro quisquam est, qui dolorem ipsum quia dolor
sit amet, consectetur, adipisci.
</MDBCardText>
<MDBCardFooter className="px-1">
<span className="float-left">99$</span>
<span className="float-right">
<MDBTooltip placement="top" tag="a" component="i" componentClass="fa fa-eye grey-text ml-3"
tooltipContent="Quick look" />
<MDBTooltip placement="top" tag="a" component="i" componentClass="fa fa-heart grey-text ml-3"
tooltipContent="Add to watchlist" />
</span>
</MDBCardFooter>
</MDBCardBody>
</MDBCard>
</MDBCol>
<MDBCol md="4" className="clearfix d-none d-md-block">
<MDBCard narrow ecommerce className="mb-2">
<MDBCardImage cascade top src="https://mdbootstrap.com/img/Photos/Others/img%20(35).jpg" alt="sample photo" />
<MDBCardBody cascade>
<a href="#!" className="text-muted">
<h5>Shorts</h5>
</a>
<MDBCardTitle>
<strong>
<a href="#!">Denim shorts</a>
</strong>
</MDBCardTitle>
<MDBCardText>
Neque porro quisquam est, qui dolorem ipsum quia dolor
sit amet, consectetur, adipisci.
</MDBCardText>
<MDBCardFooter className="px-1">
<span className="float-left">49$</span>
<span className="float-right">
<MDBTooltip placement="top" tag="a" component="i" componentClass="fa fa-eye grey-text ml-3"
tooltipContent="Quick look" />
<MDBTooltip placement="top" tag="a" component="i" componentClass="fa fa-heart grey-text ml-3"
tooltipContent="Add to watchlist" />
</span>
</MDBCardFooter>
</MDBCardBody>
</MDBCard>
</MDBCol>
</MDBCarouselItem>
<MDBCarouselItem itemId="3">
<MDBCol md="4">
<MDBCard narrow ecommerce className="mb-2">
<MDBCardImage cascade top src="https://mdbootstrap.com/img/Photos/Horizontal/E-commerce/Products/img%20(32).jpg"
alt="sample photo" />
<MDBCardBody cascade>
<a href="#!" className="text-muted">
<h5>Shoes</h5>
</a>
<MDBCardTitle>
<strong>
<a href="#!">Leather boots</a>
</strong>
</MDBCardTitle>
<MDBCardText>
Neque porro quisquam est, qui dolorem ipsum quia dolor
sit amet, consectetur, adipisci.
</MDBCardText>
<MDBCardFooter className="px-1">
<span className="float-left">69$</span>
<span className="float-right">
<MDBTooltip placement="top" tag="a" component="i" componentClass="fa fa-eye grey-text ml-3"
tooltipContent="Quick look" />
<MDBTooltip placement="top" tag="a" component="i" componentClass="fa fa-heart grey-text ml-3"
tooltipContent="Add to watchlist" />
</span>
</MDBCardFooter>
</MDBCardBody>
</MDBCard>
</MDBCol>
<MDBCol md="4" className="clearfix d-none d-md-block">
<MDBCard narrow ecommerce className="mb-2">
<MDBCardImage cascade top src="https://mdbootstrap.com/img/Photos/Horizontal/E-commerce/Products/img%20(33).jpg"
alt="sample photo" />
<MDBCardBody cascade>
<a href="#!" className="text-muted">
<h5>Jeans</h5>
</a>
<MDBCardTitle>
<strong>
<a href="#!">Slim jeans</a>
</strong>
</MDBCardTitle>
<MDBCardText>
Neque porro quisquam est, qui dolorem ipsum quia dolor
sit amet, consectetur, adipisci.
</MDBCardText>
<MDBCardFooter className="px-1">
<span className="float-left">99$</span>
<span className="float-right">
<MDBTooltip placement="top" tag="a" component="i" componentClass="fa fa-eye grey-text ml-3"
tooltipContent="Quick look" />
<MDBTooltip placement="top" tag="a" component="i" componentClass="fa fa-heart grey-text ml-3"
tooltipContent="Add to watchlist" />
</span>
</MDBCardFooter>
</MDBCardBody>
</MDBCard>
</MDBCol>
<MDBCol md="4" className="clearfix d-none d-md-block">
<MDBCard narrow ecommerce className="mb-2">
<MDBCardImage cascade top src="https://mdbootstrap.com/img/Photos/Others/img%20(38).jpg" alt="sample photo" />
<MDBCardBody cascade>
<a href="#!" className="text-muted">
<h5>Shorts</h5>
</a>
<MDBCardTitle>
<strong>
<a href="#!">Denim shorts</a>
</strong>
</MDBCardTitle>
<MDBCardText>
Neque porro quisquam est, qui dolorem ipsum quia dolor
sit amet, consectetur, adipisci.
</MDBCardText>
<MDBCardFooter className="px-1">
<span className="float-left">49$</span>
<span className="float-right">
<MDBTooltip placement="top" tag="a" component="i" componentClass="fa fa-eye grey-text ml-3"
tooltipContent="Quick look" />
<MDBTooltip placement="top" tag="a" component="i" componentClass="fa fa-heart grey-text ml-3"
tooltipContent="Add to watchlist" />
</span>
</MDBCardFooter>
</MDBCardBody>
</MDBCard>
</MDBCol>
</MDBCarouselItem>
</MDBRow>
</MDBCarouselInner>
</MDBCarousel>
</section>
);
}
export default CarouselPage;
Products carousel in modal MDB Pro component
import React, { Component } from 'react';
import { MDBContainer, MDBBtn, MDBModal, MDBCol, MDBCarouselInner, MDBCard, MDBCardBody, MDBCarousel, MDBModalBody,
MDBCollapseHeader, MDBCarouselItem, MDBSelectOption, MDBSelectOptions, MDBRow, MDBSelect, MDBSelectInput, MDBCollapse,
MDBIcon } from 'mdbreact';
class ModalPage extends Component {
state = {
modal13: false,
accordion: 1
}
toggle = nr => () => {
let modalNumber = 'modal' + nr
this.setState({
[modalNumber]: !this.state[modalNumber]
});
}
onClick = nr => () => {
this.setState({
accordion: nr
});
}
render() {
const { accordion } = this.state;
return (
<MDBContainer>
<MDBBtn onClick={this.toggle(13)}>Launch MDBModalBody</MDBBtn>
<MDBModal size="lg" isOpen={this.state.modal13} toggle={this.toggle(13)}>
<MDBModalBody className="d-flex">
<MDBCol size="5" lg="5">
<MDBCarousel activeItem={1} length={3} showControls={true} showIndicators={true} thumbnails className="z-depth-1">
<MDBCarouselInner>
<MDBCarouselItem itemId="1">
<img className="d-block w-100" src="https://mdbootstrap.com/img/Photos/Horizontal/E-commerce/Vertical/img%20(23).jpg"
alt="First slide" />
</MDBCarouselItem>
<MDBCarouselItem itemId="2">
<img className="d-block w-100" src="https://mdbootstrap.com/img/Photos/Horizontal/E-commerce/Vertical/img%20(24).jpg"
alt="Second slide" />
</MDBCarouselItem>
<MDBCarouselItem itemId="3">
<img className="d-block w-100" src="https://mdbootstrap.com/img/Photos/Horizontal/E-commerce/Vertical/img%20(25).jpg"
alt="Third slide" />
</MDBCarouselItem>
</MDBCarouselInner>
</MDBCarousel>
</MDBCol>
<MDBCol size="7" lg="7">
<h2 className="h2-responsive product-name">
<strong>Product Name</strong>
</h2>
<h4 className="h4-responsive">
<span className="green-text">
<strong>$49</strong>
</span>
<span className="grey-text ml-1">
<small>
<s>$89</s>
</small>
</span>
</h4>
<div className="my-4">
<MDBCard>
<MDBCollapseHeader onClick={this.onClick(1)}>Description
<i className={"ml-1 " + (accordion === 1 ? 'fa fa-angle-down rotate-icon' : 'fa fa-angle-down')}></i>
</MDBCollapseHeader>
<MDBCollapse isOpen={accordion === 1}>
<MDBCardBody>
Anim pariatur cliche reprehenderit, enim eiusmod high life accusamus terry richardson ad squid. 3 wolf moon officia aute, non cupidatat skateboard dolor brunch. Food truck quinoa nesciunt laborum eiusmod.
</MDBCardBody>
</MDBCollapse>
</MDBCard>
<MDBCard>
<MDBCollapseHeader onClick={this.onClick(2)}>Details
<i className={"ml-1 " + (accordion === 2 ? 'fa fa-angle-down rotate-icon' : 'fa fa-angle-down')}></i>
</MDBCollapseHeader>
<MDBCollapse isOpen={accordion === 2}>
<MDBCardBody>
Anim pariatur cliche reprehenderit, enim eiusmod high life accusamus terry richardson ad squid. 3 wolf moon officia aute, non cupidatat skateboard dolor brunch. Food truck quinoa nesciunt laborum eiusmod.
</MDBCardBody>
</MDBCollapse>
</MDBCard>
<MDBCard>
<MDBCollapseHeader onClick={this.onClick(3)}>Shipping
<i className={"ml-1 " + (accordion === 3 ? 'fa fa-angle-down rotate-icon' : 'fa fa-angle-down')}></i>
</MDBCollapseHeader>
<MDBCollapse isOpen={accordion === 3}>
<MDBCardBody>
Anim pariatur cliche reprehenderit, enim eiusmod high life accusamus terry richardson ad squid. 3 wolf moon officia aute, non cupidatat skateboard dolor brunch. Food truck quinoa nesciunt laborum eiusmod.
</MDBCardBody>
</MDBCollapse>
</MDBCard>
</div>
<MDBRow>
<MDBCol size="6">
<MDBSelect>
<MDBSelectInput></MDBSelectInput>
<MDBSelectOptions>
<MDBSelectOption disabled>Choose your option</MDBSelectOption>
<MDBSelectOption>White</MDBSelectOption>
<MDBSelectOption>Black</MDBSelectOption>
<MDBSelectOption>Pink</MDBSelectOption>
</MDBSelectOptions>
</MDBSelect>
<label>MDBSelect color</label>
</MDBCol>
<MDBCol size="6">
<MDBSelect>
<MDBSelectInput></MDBSelectInput>
<MDBSelectOptions>
<MDBSelectOption disabled>Choose your option</MDBSelectOption>
<MDBSelectOption>White</MDBSelectOption>
<MDBSelectOption>Black</MDBSelectOption>
<MDBSelectOption>Pink</MDBSelectOption>
</MDBSelectOptions>
</MDBSelect>
<label>MDBSelect size</label>
</MDBCol>
</MDBRow>
<MDBRow className="justify-content-center">
<MDBBtn color="secondary" className="ml-4" onClick={this.toggle(13)}>Close</MDBBtn>
<MDBBtn color="primary" className="ml-4" onClick={this.toggle(13)}>Add to Cart
<MDBIcon icon="cart-plus" className="ml-2" />
</MDBBtn>
</MDBRow>
</MDBCol>
</MDBModalBody>
</MDBModal>
</MDBContainer>
);
}
}
export default ModalPage;
Testimonials carousel MDB Pro component
Testimonials
import React from "react";
import { MDBContainer, MDBAvatar, MDBIcon, MDBCarousel, MDBCarouselInner, MDBCarouselItem, MDBTestimonial } from
"mdbreact";
const TestimonialsPage = () => {
return (
<MDBContainer>
<section className="text-center my-5">
<h2 className="h1-responsive font-weight-bold my-5">
Testimonials v.2
</h2>
<MDBCarousel activeItem={1} length={3} testimonial interval={false} showIndicators={false} className="no-flex">
<MDBCarouselInner>
<MDBCarouselItem itemId="1">
<MDBTestimonial>
<MDBAvatar className="mx-auto mb-4">
<img src="https://mdbootstrap.com/img/Photos/Avatars/img%20(30).jpg" className="rounded-circle img-fluid"
alt="" />
</MDBAvatar>
<p>
<MDBIcon icon="quote-left" /> Lorem ipsum dolor sit amet,
consectetur adipisicing elit. Quod eos id officiis hic
tenetur quae quaerat ad velit ab. Lorem ipsum dolor sit
amet, consectetur adipisicing elit. Dolore cum accusamus
eveniet molestias voluptatum inventore laboriosam labore
sit, aspernatur praesentium iste impedit quidem dolor
veniam.
</p>
<h4 className="font-weight-bold">Anna Deynah</h4>
<h6 className="font-weight-bold my-3">
Founder at ET Company
</h6>
<MDBIcon icon="star" className="blue-text" />
<MDBIcon icon="star" className="blue-text" />
<MDBIcon icon="star" className="blue-text" />
<MDBIcon icon="star" className="blue-text" />
<MDBIcon icon="star-half" className="blue-text" />
</MDBTestimonial>
</MDBCarouselItem>
<MDBCarouselItem itemId="2">
<MDBTestimonial>
<MDBAvatar className="mx-auto mb-4">
<img src="https://mdbootstrap.com/img/Photos/Avatars/img%20(31).jpg" className="rounded-circle img-fluid"
alt="" />
</MDBAvatar>
<p>
<MDBIcon icon="quote-left" /> Nemo enim ipsam voluptatem quia
voluptas sit aspernatur aut odit aut fugit, sed quia
consequuntur magni dolores eos qui ratione voluptatem sequi
nesciunt. Neque porro quisquam est, qui dolorem ipsum quia
dolor sit amet, consectetur, adipisci velit, sed quia non
numquam eius modi tempora incidunt ut labore.
</p>
<h4 className="font-weight-bold">Maria Kate</h4>
<h6 className="font-weight-bold my-3">
Photographer at Studio LA
</h6>
<MDBIcon icon="star" className="blue-text" />
<MDBIcon icon="star" className="blue-text" />
<MDBIcon icon="star" className="blue-text" />
<MDBIcon icon="star" className="blue-text" />
<MDBIcon icon="star" className="blue-text" />
</MDBTestimonial>
</MDBCarouselItem>
<MDBCarouselItem itemId="3">
<MDBTestimonial>
<MDBAvatar className="mx-auto mb-4">
<img src="https://mdbootstrap.com/img/Photos/Avatars/img%20(3).jpg" className="rounded-circle img-fluid"
alt="" />
</MDBAvatar>
<p>
<MDBIcon icon="quote-left" /> Duis aute irure dolor in
reprehenderit in voluptate velit esse cillum dolore eu
fugiat nulla pariatur. Excepteur sint occaecat cupidatat non
proident, sunt in culpa qui officia deserunt mollit anim id
est laborum. Sed ut perspiciatis unde omnis iste natus error
sit voluptatem accusantium doloremque laudantium.
</p>
<h4 className="font-weight-bold">John Doe</h4>
<h6 className="font-weight-bold my-3">
Front-end Developer in NY
</h6>
<MDBIcon icon="star" className="blue-text" />
<MDBIcon icon="star" className="blue-text" />
<MDBIcon icon="star" className="blue-text" />
<MDBIcon icon="star" className="blue-text" />
<MDBIcon icon="star" className="blue-text" />
</MDBTestimonial>
</MDBCarouselItem>
</MDBCarouselInner>
</MDBCarousel>
</section>
</MDBContainer>
);
}
export default TestimonialsPage;
Testimonials multi-carousel MDB Pro component
Testimonials v.4
import React from "react";
import { MDBCarousel, MDBCarouselInner, MDBCarouselItem, MDBContainer, MDBRow, MDBCol, MDBTestimonial, MDBAvatar,
MDBIcon } from "mdbreact";
const TestimonialsMultiPage = () => {
return (
<MDBContainer>
<section className="text-center my-5">
<h2 className="h1-responsive font-weight-bold my-5">
Testimonials v.4
</h2>
<MDBCarousel activeItem={1} length={3} slide={true} showControls={true} multiItem testimonial>
<MDBCarouselInner>
<MDBRow>
<MDBCarouselItem itemId="1">
<MDBCol md="4">
<MDBTestimonial>
<MDBAvatar className="mx-auto">
<img src="https://mdbootstrap.com/img/Photos/Avatars/img%20(26).jpg" alt="" className="rounded-circle img-fluid" />
</MDBAvatar>
<h4 className="font-weight-bold mt-4">Anna Deynah</h4>
<h6 className="blue-text font-weight-bold my-3">
Web Designer
</h6>
<p className="font-weight-normal">
<MDBIcon icon="quote-left" className="pr-2" />
Lorem ipsum dolor sit amet, consectetur adipisicing
elit. Quod eos id officiis hic tenetur.
</p>
<div className="grey-text">
<MDBIcon icon="star" />
<MDBIcon icon="star" />
<MDBIcon icon="star" />
<MDBIcon icon="star" />
<MDBIcon icon="star-half" />
</div>
</MDBTestimonial>
</MDBCol>
<MDBCol md="4" className="clearfix d-none d-md-block">
<MDBTestimonial>
<MDBAvatar className="mx-auto">
<img src="https://mdbootstrap.com/img/Photos/Avatars/img%20(27).jpg" alt="" className="rounded-circle img-fluid" />
</MDBAvatar>
<h4 className="font-weight-bold mt-4">John Doe</h4>
<h6 className="blue-text font-weight-bold my-3">
Web Developer
</h6>
<p className="font-weight-normal">
<MDBIcon icon="quote-left" className="pr-2" />
Ut enim ad minima veniam, quis nostrum exercitationem
ullam corporis laboriosam.
</p>
<div className="grey-text">
<MDBIcon icon="star" />
<MDBIcon icon="star" />
<MDBIcon icon="star" />
<MDBIcon icon="star" />
<MDBIcon icon="star" />
</div>
</MDBTestimonial>
</MDBCol>
<MDBCol md="4" className="clearfix d-none d-md-block">
<MDBTestimonial>
<MDBAvatar className="mx-auto">
<img src="https://mdbootstrap.com/img/Photos/Avatars/img%20(31).jpg" alt="" className="rounded-circle img-fluid" />
</MDBAvatar>
<h4 className="font-weight-bold mt-4">Abbey Clark</h4>
<h6 className="blue-text font-weight-bold my-3">
Photographer
</h6>
<p className="font-weight-normal">
<MDBIcon icon="quote-left" className="pr-2" />
Quis autem vel eum iure reprehenderit qui in ea
voluptate velit esse quam nihil molestiae.
</p>
<div className="grey-text">
<MDBIcon icon="star" />
<MDBIcon icon="star" />
<MDBIcon icon="star" />
<MDBIcon icon="star" />
<MDBIcon icon="star" />
</div>
</MDBTestimonial>
</MDBCol>
</MDBCarouselItem>
<MDBCarouselItem itemId="2">
<MDBCol md="4">
<MDBTestimonial>
<MDBAvatar className="mx-auto">
<img src="https://mdbootstrap.com/img/Photos/Avatars/img%20(4).jpg" alt="" className="rounded-circle img-fluid" />
</MDBAvatar>
<h4 className="font-weight-bold mt-4">Blake Dabney</h4>
<h6 className="blue-text font-weight-bold my-3">
Web Designer
</h6>
<p className="font-weight-normal">
<MDBIcon icon="quote-left" className="pr-2" />
Ut enim ad minima veniam, quis nostrum exercitationem
ullam corporis laboriosam.
</p>
<div className="grey-text">
<MDBIcon icon="star" />
<MDBIcon icon="star" />
<MDBIcon icon="star" />
<MDBIcon icon="star" />
<MDBIcon icon="star-half" />
</div>
</MDBTestimonial>
</MDBCol>
<MDBCol md="4" className="clearfix d-none d-md-block">
<MDBTestimonial>
<MDBAvatar className="mx-auto">
<img src="https://mdbootstrap.com/img/Photos/Avatars/img%20(6).jpg" alt="" className="rounded-circle img-fluid" />
</MDBAvatar>
<h4 className="font-weight-bold mt-4">Andrea Clay</h4>
<h6 className="blue-text font-weight-bold my-3">
Front-end developer
</h6>
<p className="font-weight-normal">
<MDBIcon icon="quote-left" className="pr-2" />
Lorem ipsum dolor sit amet, consectetur adipisicing
elit. Quod eos id officiis hic tenetur quae.
</p>
<div className="grey-text">
<MDBIcon icon="star" />
<MDBIcon icon="star" />
<MDBIcon icon="star" />
<MDBIcon icon="star" />
<MDBIcon icon="star" />
</div>
</MDBTestimonial>
</MDBCol>
<MDBCol md="4" className="clearfix d-none d-md-block">
<MDBTestimonial>
<MDBAvatar className="mx-auto">
<img src="https://mdbootstrap.com/img/Photos/Avatars/img%20(7).jpg" alt="" className="rounded-circle img-fluid" />
</MDBAvatar>
<h4 className="font-weight-bold mt-4">Cami Gosse</h4>
<h6 className="blue-text font-weight-bold my-3">
Phtographer
</h6>
<p className="font-weight-normal">
<MDBIcon icon="quote-left" className="pr-2" />
At vero eos et accusamus et iusto odio dignissimos
ducimus qui blanditiis praesentium.
</p>
<div className="grey-text">
<MDBIcon icon="star" />
<MDBIcon icon="star" />
<MDBIcon icon="star" />
<MDBIcon icon="star" />
<MDBIcon icon="star" />
</div>
</MDBTestimonial>
</MDBCol>
</MDBCarouselItem>
<MDBCarouselItem itemId="3">
<MDBCol md="4">
<MDBTestimonial>
<MDBAvatar className="mx-auto">
<img src="https://mdbootstrap.com/img/Photos/Avatars/img%20(8).jpg" alt="" className="rounded-circle img-fluid" />
</MDBAvatar>
<h4 className="font-weight-bold mt-4">Bobby Haley</h4>
<h6 className="blue-text font-weight-bold my-3">
Web Developer
</h6>
<p className="font-weight-normal">
<MDBIcon icon="quote-left" className="pr-2" />
Lorem ipsum dolor sit amet, consectetur adipisicing
elit. Quod eos id officiis hic tenetur quae.
</p>
<div className="grey-text">
<MDBIcon icon="star" />
<MDBIcon icon="star" />
<MDBIcon icon="star" />
<MDBIcon icon="star" />
<MDBIcon icon="star" />
</div>
</MDBTestimonial>
</MDBCol>
<MDBCol md="4" className="clearfix d-none d-md-block">
<MDBTestimonial>
<MDBAvatar className="mx-auto">
<img src="https://mdbootstrap.com/img/Photos/Avatars/img%20(10).jpg" alt="" className="rounded-circle img-fluid" />
</MDBAvatar>
<h4 className="font-weight-bold mt-4">Elisa Janson</h4>
<h6 className="blue-text font-weight-bold my-3">
Marketer
</h6>
<p className="font-weight-normal">
<MDBIcon icon="quote-left" className="pr-2" />
At vero eos et accusamus et iusto odio dignissimos
ducimus qui blanditiis praesentium.
</p>
<div className="grey-text">
<MDBIcon icon="star" />
<MDBIcon icon="star" />
<MDBIcon icon="star" />
<MDBIcon icon="star" />
<MDBIcon icon="star-half" />
</div>
</MDBTestimonial>
</MDBCol>
<MDBCol md="4" className="clearfix d-none d-md-block">
<MDBTestimonial>
<MDBAvatar className="mx-auto">
<img src="https://mdbootstrap.com/img/Photos/Avatars/img%20(9).jpg" alt="" className="rounded-circle img-fluid" />
</MDBAvatar>
<h4 className="font-weight-bold mt-4">Rob Jacobs</h4>
<h6 className="blue-text font-weight-bold my-3">
Front-end developer
</h6>
<p className="font-weight-normal">
<MDBIcon icon="quote-left" className="pr-2" />
Ut enim ad minima veniam, quis nostrum exercitationem
ullam corporis laboriosam.
</p>
<div className="grey-text">
<MDBIcon icon="star" />
<MDBIcon icon="star" />
<MDBIcon icon="star" />
<MDBIcon icon="star" />
<MDBIcon icon="star" />
</div>
</MDBTestimonial>
</MDBCol>
</MDBCarouselItem>
</MDBRow>
</MDBCarouselInner>
</MDBCarousel>
</section>
</MDBContainer>
);
}
export default TestimonialsMultiPage;

Carousel

Angular Bootstrap 5 Carousel component

Responsive carousel built with Bootstrap 5, Angular and Material Design. Slider examples with indicators, captions, image and multiple item carousel.

A slideshow component for cycling through elements—images or slides of text—like a carousel.

Note: Read the API tab to find all available options and advanced customization


Basic example

Carousel allows to navigate through a collection of images in a sequential fashion, moving to the previous/next one through the arrows on the sides.

        
            
            <mdb-carousel [controls]="true" [indicators]="true" [animation]="'fade'">
              <mdb-carousel-item>
                <img
                  src="https://mdbootstrap.com/img/Photos/Slides/img%20(15).webp"
                  class="d-block w-100"
                  alt="..."
                />
                <div class="carousel-caption d-none d-md-block">
                  <h5>First slide label</h5>
                  <p>Nulla vitae elit libero, a pharetra augue mollis interdum.</p>
                </div>
              </mdb-carousel-item>
              <mdb-carousel-item>
                <img
                  src="https://mdbootstrap.com/img/Photos/Slides/img%20(22).webp"
                  class="d-block w-100"
                  alt="..."
                />
                <div class="carousel-caption d-none d-md-block">
                  <h5>Second slide label</h5>
                  <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit.</p>
                </div>
              </mdb-carousel-item>
              <mdb-carousel-item>
                <img
                  src="https://mdbootstrap.com/img/Photos/Slides/img%20(23).webp"
                  class="d-block w-100"
                  alt="..."
                />
                <div class="carousel-caption d-none d-md-block">
                  <h5>Third slide label</h5>
                  <p>Praesent commodo cursus magna, vel scelerisque nisl consectetur.</p>
                </div>
              </mdb-carousel-item>
            </mdb-carousel>
          
        
    

How it works

The carousel is a slideshow for cycling through a series of content, built with CSS 3D transforms and a bit of JavaScript. It works with a series of images, text, or custom markup. It also includes support for previous/next controls and indicators.

In browsers where the Page Visibility API is supported, the carousel will avoid sliding when the webpage is not visible to the user (such as when the browser tab is inactive, the browser window is minimized, etc.).

Note: Please be aware that nested carousels are not supported, and carousels are generally not compliant with accessibility standards.

Carousels don’t automatically normalize slide dimensions. As such, you may need to use additional utilities or custom styles to appropriately size content. While carousels support previous/next controls and indicators, they’re not explicitly required. Add and customize as you see fit.


Variations

Slides only

Here’s a carousel with slides only. Note the presence of the .d-block and .w-100 on carousel images to prevent browser default image alignment.

        
            
              <mdb-carousel>
                <mdb-carousel-item>
                  <img
                    src="https://mdbcdn.b-cdn.net/img/new/slides/041.webp"
                    class="d-block w-100"
                    alt="..."
                  />
                </mdb-carousel-item>
                <mdb-carousel-item>
                  <img
                    src="https://mdbcdn.b-cdn.net/img/new/slides/042.webp"
                    class="d-block w-100"
                    alt="..."
                  />
                </mdb-carousel-item>
                <mdb-carousel-item>
                  <img
                    src="https://mdbcdn.b-cdn.net/img/new/slides/043.webp"
                    class="d-block w-100"
                    alt="..."
                  />
                </mdb-carousel-item>
              </mdb-carousel>
            
        
    

With controls

Use [controls]="true" input to add the previous and next controls:

        
            
              <mdb-carousel [controls]="true">
                <mdb-carousel-item>
                  <img
                    src="https://mdbcdn.b-cdn.net/img/new/slides/041.webp"
                    class="d-block w-100"
                    alt="..."
                  />
                </mdb-carousel-item>
                <mdb-carousel-item>
                  <img
                    src="https://mdbcdn.b-cdn.net/img/new/slides/042.webp"
                    class="d-block w-100"
                    alt="..."
                  />
                </mdb-carousel-item>
                <mdb-carousel-item>
                  <img
                    src="https://mdbcdn.b-cdn.net/img/new/slides/043.webp"
                    class="d-block w-100"
                    alt="..."
                  />
                </mdb-carousel-item>
              </mdb-carousel>
            
        
    

With indicators

You can also add the indicators to the carousel with [indicators]="true" input.

        
            
              <mdb-carousel [controls]="true" [indicators]="true">
                <mdb-carousel-item>
                  <img
                    src="https://mdbcdn.b-cdn.net/img/new/slides/041.webp"
                    class="d-block w-100"
                    alt="..."
                  />
                </mdb-carousel-item>
                <mdb-carousel-item>
                  <img
                    src="https://mdbcdn.b-cdn.net/img/new/slides/042.webp"
                    class="d-block w-100"
                    alt="..."
                  />
                </mdb-carousel-item>
                <mdb-carousel-item>
                  <img
                    src="https://mdbcdn.b-cdn.net/img/new/slides/043.webp"
                    class="d-block w-100"
                    alt="..."
                  />
                </mdb-carousel-item>
              </mdb-carousel>
            
        
    

With captions

Add captions to your slides easily with the .carousel-caption element within any mdb-carousel-item component. They can be easily hidden on smaller viewports, as shown below, with optional display utilities. We hide them initially with .d-none and bring them back on medium-sized devices with .d-md-block.

        
            
              <mdb-carousel [controls]="true" [indicators]="true">
                <mdb-carousel-item>
                  <img
                    src="https://mdbcdn.b-cdn.net/img/new/slides/041.webp"
                    class="d-block w-100"
                    alt="..."
                  />
                  <div class="carousel-caption d-none d-md-block">
                    <h5>First slide label</h5>
                    <p>Nulla vitae elit libero, a pharetra augue mollis interdum.</p>
                  </div>
                </mdb-carousel-item>
                <mdb-carousel-item>
                  <img
                    src="https://mdbcdn.b-cdn.net/img/new/slides/042.webp"
                    class="d-block w-100"
                    alt="..."
                  />
                  <div class="carousel-caption d-none d-md-block">
                    <h5>Second slide label</h5>
                    <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit.</p>
                  </div>
                </mdb-carousel-item>
                <mdb-carousel-item>
                  <img
                    src="https://mdbcdn.b-cdn.net/img/new/slides/043.webp"
                    class="d-block w-100"
                    alt="..."
                  />
                  <div class="carousel-caption d-none d-md-block">
                    <h5>Third slide label</h5>
                    <p>Praesent commodo cursus magna, vel scelerisque nisl consectetur.</p>
                  </div>
                </mdb-carousel-item>
              </mdb-carousel>
            
        
    

Animation

Use [animation]="'fade'" input to change carousel animation type from slide to fade.

        
            
              <mdb-carousel [controls]="true" [animation]="'fade'">
                <mdb-carousel-item>
                  <img
                    src="https://mdbcdn.b-cdn.net/img/new/slides/041.webp"
                    class="d-block w-100"
                    alt="..."
                  />
                </mdb-carousel-item>
                <mdb-carousel-item>
                  <img
                    src="https://mdbcdn.b-cdn.net/img/new/slides/042.webp"
                    class="d-block w-100"
                    alt="..."
                  />
                </mdb-carousel-item>
                <mdb-carousel-item>
                  <img
                    src="https://mdbcdn.b-cdn.net/img/new/slides/043.webp"
                    class="d-block w-100"
                    alt="..."
                  />
                </mdb-carousel-item>
              </mdb-carousel>
            
        
    

Material style

If you want to make your carousel look more "material" wrap the mdb-carousel component with .carousel-inner element and use the rounded-* and shadow-* classes to add rounded corners and a shadows.

        
            
              <div class="carousel-inner rounded-5 shadow-4-strong">
                <mdb-carousel [controls]="true" [indicators]="true" [animation]="'fade'">
                  <mdb-carousel-item>
                    <img
                      src="https://mdbcdn.b-cdn.net/img/new/slides/041.jpg"
                      class="d-block w-100"
                      alt="..."
                    />
                    <div class="carousel-caption d-none d-md-block">
                      <h5>First slide label</h5>
                      <p>Nulla vitae elit libero, a pharetra augue mollis interdum.</p>
                    </div>
                  </mdb-carousel-item>
    
                  <mdb-carousel-item>
                    <img
                      src="https://mdbcdn.b-cdn.net/img/new/slides/042.jpg"
                      class="d-block w-100"
                      alt="..."
                    />
                    <div class="carousel-caption d-none d-md-block">
                      <h5>Second slide label</h5>
                      <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit.</p>
                    </div>
                  </mdb-carousel-item>
    
                  <mdb-carousel-item>
                    <img
                      src="https://mdbcdn.b-cdn.net/img/new/slides/043.jpg"
                      class="d-block w-100"
                      alt="..."
                    />
                    <div class="carousel-caption d-none d-md-block">
                      <h5>Third slide label</h5>
                      <p>Praesent commodo cursus magna, vel scelerisque nisl consectetur.</p>
                    </div>
                  </mdb-carousel-item>
                </mdb-carousel>
              </div>
              
        
    

Dark variant

Use [dark]="true" input for darker controls, indicators, and captions.

        
            
            <mdb-carousel [controls]="true" [indicators]="true" [dark]="true">
              <mdb-carousel-item>
                <img
                  src="https://mdbootstrap.com/img/Photos/Slides/img%20(19).webp"
                  class="d-block w-100"
                  alt="..."
                />
                <div class="carousel-caption d-none d-md-block">
                  <h5>First slide label</h5>
                  <p>Nulla vitae elit libero, a pharetra augue mollis interdum.</p>
                </div>
              </mdb-carousel-item>
              <mdb-carousel-item>
                <img
                  src="https://mdbootstrap.com/img/Photos/Slides/img%20(35).webp"
                  class="d-block w-100"
                  alt="..."
                />
                <div class="carousel-caption d-none d-md-block">
                  <h5>Second slide label</h5>
                  <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit.</p>
                </div>
              </mdb-carousel-item>
              <mdb-carousel-item>
                <img
                  src="https://mdbootstrap.com/img/Photos/Slides/img%20(40).webp"
                  class="d-block w-100"
                  alt="..."
                />
                <div class="carousel-caption d-none d-md-block">
                  <h5>Third slide label</h5>
                  <p>Praesent commodo cursus magna, vel scelerisque nisl consectetur.</p>
                </div>
              </mdb-carousel-item>
            </mdb-carousel>
          
        
    


Carousel - API


Import

        
            
        import { MdbCarouselModule } from 'mdb-angular-ui-kit/carousel';
        …
        @NgModule ({
          ...
          imports: [MdbCarouselModule],
          ...
        })
      
        
    

Inputs

Name Type Default Description
interval number 5000 The amount of time to delay between automatically cycling an item. If false, carousel will not automatically cycle.
keyboard boolean true Whether the carousel should react to keyboard events.
pause boolean true

If set to true, pauses the cycling of the carousel on mouseenter and resumes the cycling of the carousel on mouseleave. If set to false, hovering over the carousel won't pause it.

ride boolean true Autoplays the carousel on load. If "false", autoplays the carousel after the user manually cycles the first item.
wrap boolean true Whether the carousel should cycle continuously or have hard stops.

Outputs

Name Type Description
slide EventEmitter<void> Fires immediately when the carousel start to slide.
slideChange EventEmitter<void> Fired when the carousel has completed its slide transition.
        
            
          <mdb-carousel [controls]="true" (slideChange)="onSlideChange()">
            <mdb-carousel-item>
              <img
                src="https://mdbcdn.b-cdn.net/img/new/slides/041.webp"
                class="d-block w-100"
                alt="..."
              />
            </mdb-carousel-item>
            <mdb-carousel-item>
              <img
                src="https://mdbcdn.b-cdn.net/img/new/slides/042.webp"
                class="d-block w-100"
                alt="..."
              />
            </mdb-carousel-item>
            <mdb-carousel-item>
              <img
                src="https://mdbcdn.b-cdn.net/img/new/slides/043.webp"
                class="d-block w-100"
                alt="..."
              />
            </mdb-carousel-item>
          </mdb-carousel>
        
        
    
        
            
          import { Component } from '@angular/core';

          @Component({
            selector: 'app-root',
            templateUrl: './app.component.html',
            styleUrls: ['./app.component.scss']
          })
          export class AppComponent {
            constructor() {}

            onSlideChange(): void {
              console.log('slide change');
            }
          }
        
        
    

Methods

Name Description Example
play Cycles through the carousel items from left to right. carousel.play()
stop Stops the carousel from cycling through items. carousel.stop()
prev Cycles to the previous item. carousel.prev()
next Cycles to the next item. carousel.next()
to(index: number) Cycles the carousel to a particular frame (0 based, similar to an array). carousel.to(2)
        
            
            <mdb-carousel #carousel [controls]="true">
              <mdb-carousel-item>
                <img
                  src="https://mdbcdn.b-cdn.net/img/new/slides/041.webp"
                  class="d-block w-100"
                  alt="..."
                />
              </mdb-carousel-item>
              <mdb-carousel-item>
                <img
                  src="https://mdbcdn.b-cdn.net/img/new/slides/042.webp"
                  class="d-block w-100"
                  alt="..."
                />
              </mdb-carousel-item>
              <mdb-carousel-item>
                <img
                  src="https://mdbcdn.b-cdn.net/img/new/slides/043.webp"
                  class="d-block w-100"
                  alt="..."
                />
              </mdb-carousel-item>
            </mdb-carousel>
          
        
    
        
            
            import { AfterViewInit, Component, ViewChild } from '@angular/core';
            import { MdbCarouselComponent } from 'mdb-angular-ui-kit/carousel';

            @Component({
              selector: 'app-root',
              templateUrl: './app.component.html',
              styleUrls: ['./app.component.scss'],
            })
            export class AppComponent implements AfterViewInit {
              @ViewChild('carousel') carousel!: MdbCarouselComponent;

              constructor() {}

              ngAfterViewInit(): void {
                this.carousel.stop();
              }
            }
          
        
    

Change transition duration

The transition duration of .carousel-item can be changed with the $carousel-transition Sass variable before compiling or custom styles if you’re using the compiled CSS. If multiple transitions are applied, make sure the transform transition is defined first (eg. transition: transform 2s ease, opacity .5s ease-out).


CSS variables

As part of MDB’s evolving CSS variables approach, carousel now uses local CSS variables on .carousel-control-prev-icon, .carousel-control-next-icon for enhanced real-time customization. Values for the CSS variables are set via Sass, so Sass customization is still supported, too.

        
            
          --#{$prefix}carousel-control-icon-font-size: #{$carousel-control-icon-font-size};
          --#{$prefix}carousel-control-icon-font-weight: #{$font-weight-bold};
          
        
    

SCSS variables

        
            
            $carousel-control-color: $white;
            $carousel-control-width: 15%;
            $carousel-control-opacity: 0.5;
            $carousel-control-hover-opacity: 0.9;
            $carousel-control-transition: opacity 0.15s ease;
            $carousel-indicator-width: 30px;
            $carousel-indicator-height: 3px;
            $carousel-indicator-hit-area-height: 10px;
            $carousel-indicator-spacer: 3px;
            $carousel-indicator-opacity: 0.5;
            $carousel-indicator-active-bg: $white;
            $carousel-indicator-active-opacity: 1;
            $carousel-indicator-transition: opacity 0.6s ease;
            $carousel-caption-width: 70%;
            $carousel-caption-color: $white;
            $carousel-caption-padding-y: 1.25rem;
            $carousel-caption-spacer: 1.25rem;
            $carousel-control-icon-width: 2rem;
            $carousel-control-prev-icon-bg: url("data:image/svg+xml,<svg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 16 16' fill='#{$carousel-control-color}'><path d='M11.354 1.646a.5.5 0 0 1 0 .708L5.707 8l5.647 5.646a.5.5 0 0 1-.708.708l-6-6a.5.5 0 0 1 0-.708l6-6a.5.5 0 0 1 .708 0z'/></svg>");
            $carousel-control-next-icon-bg: url("data:image/svg+xml,<svg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 16 16' fill='#{$carousel-control-color}'><path d='M4.646 1.646a.5.5 0 0 1 .708 0l6 6a.5.5 0 0 1 0 .708l-6 6a.5.5 0 0 1-.708-.708L10.293 8 4.646 2.354a.5.5 0 0 1 0-.708z'/></svg>");
            $carousel-transition-duration: 0.6s;
            $carousel-control-prev-icon-bg: none;
            $carousel-control-next-icon-bg: none;
            $carousel-control-icon-font-size: 1.7rem;
            $carousel-transition: transform $carousel-transition-duration ease-in-out; // Define transform transition first if using multiple transitions (e.g., `transform 2s ease, opacity .5s ease-out`)
            $carousel-dark-indicator-active-bg: $black;
            $carousel-dark-caption-color: $black;
            $carousel-dark-control-icon-filter: invert(1) grayscale(100);

<template>
<div>
<mdb-carousel
:items="9"
multi
slide
controlls
indicators
indicatorsColor="secondary-color"
navColor="secondary"
:interval="8000"
>
<template v-for="(i, index) in items" #[index+1]>
<div :key="index" style="cursor: pointer">
<mdb-row
md="4"
class="d-md-inline-block px-2"
@click.native="showLightbox(i)"
>
<figure>
<img :src="imgs[i]" class="img-fluid" alt />
</figure>
</mdb-row>
<mdb-row
md="4"
class="d-md-inline-block px-2"
@click.native="showLightbox(i + 1)"
>
<figure>
<img :src="imgs[i+1]" class="img-fluid" alt />
</figure>
</mdb-row>
</div>
</template>
</mdb-carousel>
<mdb-lightbox
:visible="visible"
:imgs="imgs"
:index="index"
@hide="handleHide"
></mdb-lightbox>
</div>
</template>
<script>
import { mdbCarousel, mdbLightbox, mdbRow } from "mdbvue";
export default {
name: "CarouselPage",
components: {
mdbCarousel,
mdbLightbox,
mdbRow
},
data() {
return {
imgs: [
"https://mdbootstrap.com/img/Photos/Horizontal/Nature/12-col/img%20(2).jpg",
"https://mdbootstrap.com/img/Photos/Horizontal/Nature/12-col/img%20(3).jpg",
"https://mdbootstrap.com/img/Photos/Horizontal/Nature/12-col/img%20(4).jpg",
"https://mdbootstrap.com/img/Photos/Horizontal/Nature/12-col/img%20(5).jpg",
"https://mdbootstrap.com/img/Photos/Horizontal/Nature/12-col/img%20(6).jpg",
"https://mdbootstrap.com/img/Photos/Horizontal/Nature/12-col/img%20(7).jpg",
"https://mdbootstrap.com/img/Photos/Horizontal/Nature/12-col/img%20(8).jpg",
"https://mdbootstrap.com/img/Photos/Horizontal/Nature/12-col/img%20(9).jpg",
"https://mdbootstrap.com/img/Photos/Horizontal/Nature/12-col/img%20(10).jpg",
"https://mdbootstrap.com/img/Photos/Horizontal/Nature/12-col/img%20(11).jpg",
"https://mdbootstrap.com/img/Photos/Horizontal/Nature/12-col/img%20(12).jpg",
"https://mdbootstrap.com/img/Photos/Horizontal/Nature/12-col/img%20(13).jpg",
"https://mdbootstrap.com/img/Photos/Horizontal/Nature/12-col/img%20(14).jpg",
"https://mdbootstrap.com/img/Photos/Horizontal/Nature/12-col/img%20(15).jpg",
"https://mdbootstrap.com/img/Photos/Horizontal/Nature/12-col/img%20(16).jpg",
"https://mdbootstrap.com/img/Photos/Horizontal/Nature/12-col/img%20(17).jpg",
"https://mdbootstrap.com/img/Photos/Horizontal/Nature/12-col/img%20(18).jpg",
"https://mdbootstrap.com/img/Photos/Horizontal/Nature/12-col/img%20(19).jpg"
],
visible: false,
index: 0
};
},
methods: {
showLightbox(index) {
this.index = index;
this.visible = true;
},
handleHide() {
this.visible = false;
}
},
computed: {
items() {
return this.imgs
.map((_, i) => i)
.filter((_, i) => i % 2 === 0);
}
}
};
</script>